<?php 
/*  
	Sistema de Portales de Soler y Palau SA de CV
	(2019) Desarrollos y Servicios en Tecnología Inteligente S de RL de CV
	Versión 1.0,
	Última Actualización: 11/04/2019,
	Developer: José Manuel Pérez García
*/

function encriptarDatos($data,$key,$algorithm = MCRYPT_BLOWFISH,$mode = MCRYPT_MODE_CBC){
  //vector de inicialización
  $iv = mcrypt_create_iv(mcrypt_get_iv_size($algorithm, $mode), MCRYPT_DEV_URANDOM);
  $encrypted_data = mcrypt_encrypt($algorithm, $key, $data, $mode, $iv);
  return base64_encode($encrypted_data."*!/".$iv);

}
function desencriptarDatos($data,$key,$algorithm = MCRYPT_BLOWFISH,$mode = MCRYPT_MODE_CBC){
  $dataDecode = base64_decode($data);
  $data = explode("*!/",$dataDecode);

  $encrypted_data = $data[0];
  $decoded = mcrypt_decrypt($algorithm, $key, $encrypted_data, $mode, $data[1]);

  return $decoded;
}


 ?>